Subject: Re: linux-next: build failure after merge of the cgroup tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 12 Jul 2024 16:51:07 +1000

Hi all,

On Fri, 12 Jul 2024 16:43:54 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the cgroup tree, today's linux-next build (htmldocs)
> failed like this:
> 
> Sphinx parallel build error:
> UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfd in position 558: invalid start byte
> 
> Caused by commit
> 
>   704f684e15ad ("cgroup: Add Michal Koutný as a maintainer")
> 
> I tracked this down using
> 
>   git diff stable.. | cat -v | grep -F 'M-}'
> 
> and finding the commit that added the line that was output.
> I tested it by building with the commit temporarily reverted.  I have
> left that commit in today's linux-next.
> 
> Clearly (I think) there is nothing wrong with the commit, but the Sphinx
> utf-8 decoder also clearly does not think it is valid UTF-8 :-(

Actually my character map app says that it should be the two bytes 0xC3
0xBD in UTF-8 (it is 0x00FD in UTF-16).

-- 
Cheers,
Stephen Rothwell